// UnscheduledDowntime.h: interface for the CUnscheduledDowntime class.
//
//////////////////////////////////////////////////////////////////////

#pragma once

#include "EquipState.h"

class CUnscheduledDowntime : public CEquipState
{
public:
    //  default constructor
    CUnscheduledDowntime();

    //  default destructor
    virtual ~CUnscheduledDowntime();

    //  set all unscheduled downtime equipment state
    void SetEquipState(int iEvt, int iState);

    //  get total unscheduled downtime equipment time
    LONGLONG GetTotalTime();

    enum
    {
        UNSCHEDULED_MAINT_DELAY,
        JAM,
        UNSCHEDULED_CHANGE_OF_CONSUMABLES_CHEMICALS,
        OUT_OF_SPEC_INPUT,
        UNSCHEDULED_FACILITIES_RELATED,
        MAX_UNSCHEDULED_EQUIP_STATE,
    };
};
